/*rebrand*/
:root {
    --color-primary: #00806f; /* Deep Teal */
    --color-primary-light: #92cdc6; /* Medium Teal (used in icons/links) */
    --color-primary-hover: #00524b; /* Darker shade for hover states */
    --color-primary-light2: #b9dfda; /*  */

    --color-accent: #e64b25; /* Vibrant Coral/Orange */
    --color-accent-hover: #c4391a; /* Darker orange for hover */

    --color-bg-main: #dbeeec; /* Very soft mint/teal gray */
    --color-surface: #ffffff; /* Pure White for cards/containers */

    --color-text-dark: #4c4c4c; /* Charcoal/Off-Black */
    --color-text-muted: #555555; /* Medium Gray for secondary text */
    --color-text-light: #ffffff; /* White for dark backgrounds */
    --color-border: #ccdcd9; /* Light gray-teal for borders */
}

.premie-calculator-header {
    height: 400px;

}
.premie-calculator {
    min-height: 500px;
}

.calculator-card-item{
    min-height: 75px;
    min-width: 125px;
}
.calculator-card-check{
    width: 16px;
    height: 16px;
    border-radius: 50%;
    top: 10px;
    right: 10px;
}
.calculator-option-selected{
    border: solid 1px #1c8249 !important;
}
.calculator-calculation-view{
   background: #FFFBFB;
   min-height: 200px;
   border: solid 1px #ec202a;
}
.calculator-calculation-divider{
    margin: 0 30px;
    border-bottom: dashed 1px #3b3b3b;
}
#calcPane .btn, #rqstPane .btn{border-radius: 0%;}
#calcPane .bg-gray, #rqstPane .bg-gray{background:var(--color-primary-light2)!important;color:#00806f!important;}
#calcPane .bg-gray.btn .text-body, #calcPane .bg-gray .text-green, #calcPane .text-green, #rqstPane .bg-gray.btn .text-body, #rqstPane .bg-gray .text-green, #rqstPane .text-green{color:#00806f!important;}
#calcPane .bg-gray.calculator-option-selected, #rqstPane .bg-gray.calculator-option-selected{background-color:var(--color-surface)!important; border-color:var(--color-primary)!important;}
#calcPane .bg-gray.calculator-option-selected .text-green, #rqstPane .bg-gray.calculator-option-selected .text-green{color:var(--color-primary);}
#calcPane .rounded-3{border-radius: 0%!important;}
.bg-card-green{background:var(--color-primary)!important;}
.bg-card-blue{background:var(--color-accent)!important;}
.bg-card-yellow{background:var(--color-primary-light)!important;}
.bg-card-yellow .text-body{color:var(--color-primary)!important;}
.bg-card-red{background:var(--color-bg-main)!important;}
#calcPane .btn-success, #rqstPane .btn-success{background:var(--color-primary)!important;color:var(--color-surface)!important;}
#calcPane .modal-body .bg-darker{background:var(--color-bg-main)!important;}
#prsnOverview .text-body{color:var(--color-text-dark)!important;}

#resultsPane .rounded, #resultsPane .rounded-3, #resultsPane .btn, #rqstPaneNotification .rounded, #prsnOverview .dropdown-menu{border-radius: 0%!important;}
#resultsPane .bg-green, #rqstPaneNotification .bg-success {background:var(--color-primary)!important;color:var(--color-surface)!important;}
#resultsPane #prsnOverviewResults .bg-gray{background:var(--color-bg-main)!important;color:var(--color-primary)!important;}
#resultsPane #prsnOverviewResults .bg-gray .text-body{color:var(--color-text-dark)!important;}
#resultsPane .btn-success{background:var(--color-primary)!important;color:var(--color-surface)!important;}
#resultsPane .btn-yellow{background:var(--color-accent)!important;color:var(--color-surface)!important;}
.text-red{color:var(--color-accent)!important;}
.calculator-calculation-view{border-color:var(--color-accent)!important;}
.calculator-calculation-view .text-body{color:var(--color-text-dark)!important;}

#rqstPane .rounded{border-radius: 0%!important;}
#rqstPane .bg-grey{background:var(--color-bg-main)!important;}

#prsnOverview .dropdown-item:hover, #prsnOverview .dropdown-item:focus{background:var(--color-bg-main)!important;}

.form-check-input:checked{background-color:var(--color-accent)!important;border-color:var(--color-accent)!important;}